Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sim.portrayal3d.continuous
Class Continuous3DPortrayal

    java.lang.Object
      sim.portrayal.FieldPortrayal
          sim.portrayal3d.FieldPortrayal3D
              sim.portrayal3d.SparseFieldPortrayal3D
                  sim.portrayal3d.continuous.Continuous3DPortrayal

All Implemented Interfaces:
  Portrayal, Portrayal3D, java.io.Serializable

public class Continuous3DPortrayal
extends SparseFieldPortrayal3D

portrayal 3D for Continuous3Ds and Continuous2Ds.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class sim.portrayal.FieldPortrayal
`FieldPortrayal.CustomInspector`

Field Summary

Fields inherited from class sim.portrayal3d.SparseFieldPortrayal3D
`field, tmpLocalT, tmpVect`

Fields inherited from class sim.portrayal3d.FieldPortrayal3D
`overallT`

Fields inherited from class sim.portrayal.FieldPortrayal
`classPortrayals, portrayalForAll, portrayalForNull, portrayalForRemainder, portrayals`

Constructor Summary
`Continuous3DPortrayal(Continuous2D field, double dx, double dy, double dz)`
`Continuous3DPortrayal(Continuous2D field, double x, double y, double z, double dx, double dy, double dz)`
`Continuous3DPortrayal(Continuous2D field, javax.media.j3d.Transform3D transf)`
`Continuous3DPortrayal(Continuous3D field, double dx, double dy, double dz)`
`Continuous3DPortrayal(Continuous3D field, double x, double y, double z, double dx, double dy, double dz)`
`Continuous3DPortrayal(Continuous3D field, javax.media.j3d.Transform3D transf)`

Method Summary
`LocationWrapper` | `completedWrapper(LocationWrapper w, com.sun.j3d.utils.picking.PickIntersection pi)`
`java.lang.Object` | `getField()` Returns the current field.
`javax.vecmath.Vector3d` | `getLocationOfObjectAsVector3d(java.lang.Object obj)` Instead of allocating a new Vector3d for every call, reuse `tmpVect`, unless concurrecy is an issue.
`void` | `setField(java.lang.Object field)` Attaches the field portrayal to the given field.

Methods inherited from class sim.portrayal3d.SparseFieldPortrayal3D
`createModel, getDefaultPortrayal, getModel, InsertModelForNewObject, portray`

Methods inherited from class sim.portrayal3d.FieldPortrayal3D
`setParentPortrayal`

Methods inherited from class sim.portrayal.FieldPortrayal
`getDefaultNullPortrayal, getInspector, getName, getPortrayalForAll, getPortrayalForNull, getPortrayalForObject, getPortrayalForRemainder, setPortrayalForAll, setPortrayalForClass, setPortrayalForNull, setPortrayalForObject, setPortrayalForRemainder, setSelected`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface sim.portrayal.Portrayal
`getInspector, getName, setSelected`

Constructor Detail

### Continuous3DPortrayal

    public Continuous3DPortrayal(Continuous3D field,
                                 double dx,
                                 double dy,
                                 double dz)

### Continuous3DPortrayal

    public Continuous3DPortrayal(Continuous2D field,
                                 double dx,
                                 double dy,
                                 double dz)

### Continuous3DPortrayal

    public Continuous3DPortrayal(Continuous3D field,
                                 double x,
                                 double y,
                                 double z,
                                 double dx,
                                 double dy,
                                 double dz)

### Continuous3DPortrayal

    public Continuous3DPortrayal(Continuous2D field,
                                 double x,
                                 double y,
                                 double z,
                                 double dx,
                                 double dy,
                                 double dz)

### Continuous3DPortrayal

    public Continuous3DPortrayal(Continuous2D field,
                                 javax.media.j3d.Transform3D transf)

### Continuous3DPortrayal

    public Continuous3DPortrayal(Continuous3D field,
                                 javax.media.j3d.Transform3D transf)

Method Detail

### getLocationOfObjectAsVector3d

    public javax.vecmath.Vector3d getLocationOfObjectAsVector3d(java.lang.Object obj)

  Description copied from class: `SparseFieldPortrayal3D`
  Instead of allocating a new Vector3d for every call, reuse `tmpVect`, unless concurrecy is an issue.

  Specified by:
    `getLocationOfObjectAsVector3d` in class `SparseFieldPortrayal3D`
  See Also:
    `sim.portrayal.SparseFieldPortrayal3D#getLocationOfObjectAsVector3d(Object)`

### setField

    public void setField(java.lang.Object field)

  Description copied from class: `FieldPortrayal`
  Attaches the field portrayal to the given field. Should throw an exception if the object is invalid.

  Specified by:
    `setField` in class `FieldPortrayal`

### getField

    public java.lang.Object getField()

  Description copied from class: `FieldPortrayal`
  Returns the current field.

  Specified by:
    `getField` in class `FieldPortrayal`

### completedWrapper

    public LocationWrapper completedWrapper(LocationWrapper w,
                                            com.sun.j3d.utils.picking.PickIntersection pi)

  Specified by:
    `completedWrapper` in class `FieldPortrayal3D`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD